Retrieve paginated list of venue deposits
curl --request GET \
--url https://api.staging.layer1.com/trade/v1/venues/deposits \
--header 'Authorization: Bearer <token>'{
"totalElements": 123,
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset": "ETH",
"venue": "binance",
"status": "SIMULATED",
"amount": 1.5,
"blockchainDestination": {
"address": 6.6325114945411165e+47,
"tag": "109281",
"alias": "eth_mainnet",
"network": "ETH"
},
"fiatDestination": {
"alias": "hsbc_eur",
"reference": "payment123"
},
"venueTransferId": "DEP123456",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"blockchainMetadata": {
"hash": "<string>"
},
"fiatMetadata": "<unknown>",
"failureMessage": "Insufficient funds"
}
],
"pageable": {
"pageNumber": 123,
"pageSize": 123
}
}Documentation Index
Fetch the complete documentation index at: https://exness-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Filter by transfer status Transfer status indicating the current state of a deposit or withdrawal
SIMULATED, APPROVAL_REQUESTED, PENDING, SUBMITTED, COMPLETED, FAILED, CANCELLED Filter by asset
Filter by venue
Page number to get
x >= 0Maximum records to return (max 100)
0 <= x <= 100curl --request GET \
--url https://api.staging.layer1.com/trade/v1/venues/deposits \
--header 'Authorization: Bearer <token>'{
"totalElements": 123,
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset": "ETH",
"venue": "binance",
"status": "SIMULATED",
"amount": 1.5,
"blockchainDestination": {
"address": 6.6325114945411165e+47,
"tag": "109281",
"alias": "eth_mainnet",
"network": "ETH"
},
"fiatDestination": {
"alias": "hsbc_eur",
"reference": "payment123"
},
"venueTransferId": "DEP123456",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"blockchainMetadata": {
"hash": "<string>"
},
"fiatMetadata": "<unknown>",
"failureMessage": "Insufficient funds"
}
],
"pageable": {
"pageNumber": 123,
"pageSize": 123
}
}